Package org.zkoss.stateless.sul

## Class ITimepicker.Updater

- java.lang.Object
- - org.zkoss.stateless.sul.ITimepicker.Updater

- All Implemented Interfaces:
    `SmartUpdater`
  Enclosing interface:
    ITimepicker

      public static class ITimepicker.Updater
      extends java.lang.Object

  Builds an updater of type `ITimepicker` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  `Updater` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

  See Also:
    `SmartUpdater`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Updater()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ITimepicker.Updater` | `clientAction​(java.lang.String clientAction)` | Sets the given value of `clientAction` to update to client widget
    `ITimepicker.Updater` | `cols​(int cols)` | Sets the given value of `cols` to update to client widget
    `ITimepicker.Updater` | `constraint​(java.lang.String constraint)` | Sets the given value of `constraint` to update to client widget
    `ITimepicker.Updater` | `context​(java.lang.String context)` | Sets the given value of `context` to update to client widget
    `ITimepicker.Updater` | `ctrlKeys​(java.lang.String ctrlKeys)` | Sets the given value of `ctrlKeys` to update to client widget
    `ITimepicker.Updater` | `disabled​(boolean disabled)` | Sets the given value of `disabled` to update to client widget
    `ITimepicker.Updater` | `draggable​(java.lang.String draggable)` | Sets the given value of `draggable` to update to client widget
    `ITimepicker.Updater` | `droppable​(java.lang.String droppable)` | Sets the given value of `droppable` to update to client widget
    `ITimepicker.Updater` | `errorboxIconSclass​(java.lang.String errorboxIconSclass)` | Sets the given value of `errorboxIconSclass` to update to client widget
    `ITimepicker.Updater` | `errorboxSclass​(java.lang.String errorboxSclass)` | Sets the given value of `errorboxSclass` to update to client widget
    `ITimepicker.Updater` | `errorMessage​(java.lang.String errorMessage)` | Sets the given value of `errorMessage` to update to client widget
    `ITimepicker.Updater` | `focus​(boolean focus)` | Sets the given value of `focus` to update to client widget
    `ITimepicker.Updater` | `format​(java.lang.String format)` | Sets the given value of `format` to update to client widget
    `ITimepicker.Updater` | `height​(java.lang.String height)` | Sets the given value of `height` to update to client widget
    `ITimepicker.Updater` | `hflex​(java.lang.String hflex)` | Sets the given value of `hflex` to update to client widget
    `ITimepicker.Updater` | `id​(java.lang.String id)` | Sets the given value of `id` to update to client widget
    `ITimepicker.Updater` | `inplace​(boolean inplace)` | Sets the given value of `inplace` to update to client widget
    `ITimepicker.Updater` | `instant​(boolean instant)` | Sets the given value of `instant` to update to client widget
    `ITimepicker.Updater` | `interval​(int interval)` | Sets the given value of `interval` to update to client widget
    `ITimepicker.Updater` | `left​(java.lang.String left)` | Sets the given value of `left` to update to client widget
    `ITimepicker.Updater` | `locale​(java.util.Locale locale)` | Sets the given value of `locale` to update to client widget
    `java.util.Map<java.lang.String,​java.lang.Object>` | `marshal()` | Serializes the keys and values of the updater.
    `ITimepicker.Updater` | `max​(java.util.Date max)` | Sets the given value of `max` to update to client widget
    `ITimepicker.Updater` | `maxlength​(int maxlength)` | Sets the given value of `maxlength` to update to client widget
    `ITimepicker.Updater` | `min​(java.util.Date min)` | Sets the given value of `min` to update to client widget
    `ITimepicker.Updater` | `mold​(java.lang.String mold)` | Sets the given value of `mold` to update to client widget
    `ITimepicker.Updater` | `name​(java.lang.String name)` | Sets the given value of `name` to update to client widget
    `ITimepicker.Updater` | `placeholder​(java.lang.String placeholder)` | Sets the given value of `placeholder` to update to client widget
    `ITimepicker.Updater` | `popup​(java.lang.String popup)` | Sets the given value of `popup` to update to client widget
    `ITimepicker.Updater` | `readonly​(boolean readonly)` | Sets the given value of `readonly` to update to client widget
    `ITimepicker.Updater` | `readonlyUnset​(boolean readonlyUnset)` | Sets the given value of `readonlyUnset` to update to client widget
    `ITimepicker.Updater` | `renderdefer​(int renderdefer)` | Sets the given value of `renderdefer` to update to client widget
    `ITimepicker.Updater` | `sclass​(java.lang.String sclass)` | Sets the given value of `sclass` to update to client widget
    `ITimepicker.Updater` | `style​(java.lang.String style)` | Sets the given value of `style` to update to client widget
    `ITimepicker.Updater` | `tabindex​(java.lang.Integer tabindex)` | Sets the given value of `tabindex` to update to client widget
    `ITimepicker.Updater` | `timeZone​(java.util.TimeZone timeZone)` | Sets the given value of `timeZone` to update to client widget
    `ITimepicker.Updater` | `tooltip​(java.lang.String tooltip)` | Sets the given value of `tooltip` to update to client widget
    `ITimepicker.Updater` | `tooltiptext​(java.lang.String tooltiptext)` | Sets the given value of `tooltiptext` to update to client widget
    `ITimepicker.Updater` | `top​(java.lang.String top)` | Sets the given value of `top` to update to client widget
    `ITimepicker.Updater` | `value​(java.util.Date value)` | Sets the given value of `value` to update to client widget
    `ITimepicker.Updater` | `valueInLocalDate​(java.time.LocalDate valueInLocalDate)` | Sets the given value of `valueInLocalDate` to update to client widget
    `ITimepicker.Updater` | `valueInLocalDateTime​(java.time.LocalDateTime valueInLocalDateTime)` | Sets the given value of `valueInLocalDateTime` to update to client widget
    `ITimepicker.Updater` | `valueInLocalTime​(java.time.LocalTime valueInLocalTime)` | Sets the given value of `valueInLocalTime` to update to client widget
    `ITimepicker.Updater` | `valueInZonedDateTime​(java.time.ZonedDateTime valueInZonedDateTime)` | Sets the given value of `valueInZonedDateTime` to update to client widget
    `ITimepicker.Updater` | `vflex​(java.lang.String vflex)` | Sets the given value of `vflex` to update to client widget
    `ITimepicker.Updater` | `visible​(boolean visible)` | Sets the given value of `visible` to update to client widget
    `ITimepicker.Updater` | `widgetClass​(java.lang.String widgetClass)` | Sets the given value of `widgetClass` to update to client widget
    `ITimepicker.Updater` | `width​(java.lang.String width)` | Sets the given value of `width` to update to client widget
    `ITimepicker.Updater` | `zclass​(java.lang.String zclass)` | Sets the given value of `zclass` to update to client widget
    `ITimepicker.Updater` | `zIndex​(int zIndex)` | Sets the given value of `zIndex` to update to client widget

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Updater

          public Updater()

  - ### Method Detail

    - #### id

          public ITimepicker.Updater id​(java.lang.String id)

      Sets the given value of `id` to update to client widget
      Parameters:
        `id` - The new value for `id`
      See Also:
        `IComponent.withId(java.lang.String)`

    - #### visible

          public ITimepicker.Updater visible​(boolean visible)

      Sets the given value of `visible` to update to client widget
      Parameters:
        `visible` - The new value for `visible`
      See Also:
        `IComponent.withVisible(boolean)`

    - #### mold

          public ITimepicker.Updater mold​(java.lang.String mold)

      Sets the given value of `mold` to update to client widget
      Parameters:
        `mold` - The new value for `mold`
      See Also:
        `IComponent.withMold(java.lang.String)`

    - #### left

          public ITimepicker.Updater left​(java.lang.String left)

      Sets the given value of `left` to update to client widget
      Parameters:
        `left` - The new value for `left`
      See Also:
        `IHtmlBasedComponent.withLeft(java.lang.String)`

    - #### top

          public ITimepicker.Updater top​(java.lang.String top)

      Sets the given value of `top` to update to client widget
      Parameters:
        `top` - The new value for `top`
      See Also:
        `IHtmlBasedComponent.withTop(java.lang.String)`

    - #### zIndex

          public ITimepicker.Updater zIndex​(int zIndex)

      Sets the given value of `zIndex` to update to client widget
      Parameters:
        `zIndex` - The new value for `zIndex`
      See Also:
        `IHtmlBasedComponent.withZIndex(int)`

    - #### height

          public ITimepicker.Updater height​(java.lang.String height)

      Sets the given value of `height` to update to client widget
      Parameters:
        `height` - The new value for `height`
      See Also:
        `IHtmlBasedComponent.withHeight(java.lang.String)`

    - #### width

          public ITimepicker.Updater width​(java.lang.String width)

      Sets the given value of `width` to update to client widget
      Parameters:
        `width` - The new value for `width`
      See Also:
        `IHtmlBasedComponent.withWidth(java.lang.String)`

    - #### tooltiptext

          public ITimepicker.Updater tooltiptext​(java.lang.String tooltiptext)

      Sets the given value of `tooltiptext` to update to client widget
      Parameters:
        `tooltiptext` - The new value for `tooltiptext`
      See Also:
        `IHtmlBasedComponent.withTooltiptext(java.lang.String)`

    - #### zclass

          public ITimepicker.Updater zclass​(java.lang.String zclass)

      Sets the given value of `zclass` to update to client widget
      Parameters:
        `zclass` - The new value for `zclass`
      See Also:
        `IHtmlBasedComponent.withZclass(java.lang.String)`

    - #### sclass

          public ITimepicker.Updater sclass​(java.lang.String sclass)

      Sets the given value of `sclass` to update to client widget
      Parameters:
        `sclass` - The new value for `sclass`
      See Also:
        `IHtmlBasedComponent.withSclass(java.lang.String)`

    - #### style

          public ITimepicker.Updater style​(java.lang.String style)

      Sets the given value of `style` to update to client widget
      Parameters:
        `style` - The new value for `style`
      See Also:
        `IHtmlBasedComponent.withStyle(java.lang.String)`

    - #### draggable

          public ITimepicker.Updater draggable​(java.lang.String draggable)

      Sets the given value of `draggable` to update to client widget
      Parameters:
        `draggable` - The new value for `draggable`
      See Also:
        `IHtmlBasedComponent.withDraggable(java.lang.String)`

    - #### focus

          public ITimepicker.Updater focus​(boolean focus)

      Sets the given value of `focus` to update to client widget
      Parameters:
        `focus` - The new value for `focus`
      See Also:
        `IHtmlBasedComponent.withFocus(boolean)`

    - #### droppable

          public ITimepicker.Updater droppable​(java.lang.String droppable)

      Sets the given value of `droppable` to update to client widget
      Parameters:
        `droppable` - The new value for `droppable`
      See Also:
        `IHtmlBasedComponent.withDroppable(java.lang.String)`

    - #### vflex

          public ITimepicker.Updater vflex​(java.lang.String vflex)

      Sets the given value of `vflex` to update to client widget
      Parameters:
        `vflex` - The new value for `vflex`
      See Also:
        `IHtmlBasedComponent.withVflex(java.lang.String)`

    - #### hflex

          public ITimepicker.Updater hflex​(java.lang.String hflex)

      Sets the given value of `hflex` to update to client widget
      Parameters:
        `hflex` - The new value for `hflex`
      See Also:
        `IHtmlBasedComponent.withHflex(java.lang.String)`

    - #### renderdefer

          public ITimepicker.Updater renderdefer​(int renderdefer)

      Sets the given value of `renderdefer` to update to client widget
      Parameters:
        `renderdefer` - The new value for `renderdefer`
      See Also:
        `IHtmlBasedComponent.withRenderdefer(int)`

    - #### clientAction

          public ITimepicker.Updater clientAction​(java.lang.String clientAction)

      Sets the given value of `clientAction` to update to client widget
      Parameters:
        `clientAction` - The new value for `clientAction`
      See Also:
        `IHtmlBasedComponent.withClientAction(java.lang.String)`

    - #### tabindex

          public ITimepicker.Updater tabindex​(java.lang.Integer tabindex)

      Sets the given value of `tabindex` to update to client widget
      Parameters:
        `tabindex` - The new value for `tabindex`
      See Also:
        `IHtmlBasedComponent.withTabindex(java.lang.Integer)`

    - #### ctrlKeys

          public ITimepicker.Updater ctrlKeys​(java.lang.String ctrlKeys)

      Sets the given value of `ctrlKeys` to update to client widget
      Parameters:
        `ctrlKeys` - The new value for `ctrlKeys`
      See Also:
        `IXulElement.withCtrlKeys(java.lang.String)`

    - #### context

          public ITimepicker.Updater context​(java.lang.String context)

      Sets the given value of `context` to update to client widget
      Parameters:
        `context` - The new value for `context`
      See Also:
        `IXulElement.withContext(java.lang.String)`

    - #### popup

          public ITimepicker.Updater popup​(java.lang.String popup)

      Sets the given value of `popup` to update to client widget
      Parameters:
        `popup` - The new value for `popup`
      See Also:
        `IXulElement.withPopup(java.lang.String)`

    - #### tooltip

          public ITimepicker.Updater tooltip​(java.lang.String tooltip)

      Sets the given value of `tooltip` to update to client widget
      Parameters:
        `tooltip` - The new value for `tooltip`
      See Also:
        `IXulElement.withTooltip(java.lang.String)`

    - #### readonly

          public ITimepicker.Updater readonly​(boolean readonly)

      Sets the given value of `readonly` to update to client widget
      Parameters:
        `readonly` - The new value for `readonly`
      See Also:
        `ITimepicker.withReadonly(boolean)`

    - #### name

          public ITimepicker.Updater name​(java.lang.String name)

      Sets the given value of `name` to update to client widget
      Parameters:
        `name` - The new value for `name`
      See Also:
        `IInputElement.withName(java.lang.String)`

    - #### placeholder

          public ITimepicker.Updater placeholder​(java.lang.String placeholder)

      Sets the given value of `placeholder` to update to client widget
      Parameters:
        `placeholder` - The new value for `placeholder`
      See Also:
        `IInputElement.withPlaceholder(java.lang.String)`

    - #### value

          public ITimepicker.Updater value​(java.util.Date value)

      Sets the given value of `value` to update to client widget
      Parameters:
        `value` - The new value for `value`
      See Also:
        `IDateTimeFormatInputElement.withValue(java.util.Date)`

    - #### constraint

          public ITimepicker.Updater constraint​(java.lang.String constraint)

      Sets the given value of `constraint` to update to client widget
      Parameters:
        `constraint` - The new value for `constraint`
      See Also:
        `IInputElement.withConstraint(java.lang.String)`

    - #### errorboxSclass

          public ITimepicker.Updater errorboxSclass​(java.lang.String errorboxSclass)

      Sets the given value of `errorboxSclass` to update to client widget
      Parameters:
        `errorboxSclass` - The new value for `errorboxSclass`
      See Also:
        `IInputElement.withErrorboxSclass(java.lang.String)`

    - #### errorboxIconSclass

          public ITimepicker.Updater errorboxIconSclass​(java.lang.String errorboxIconSclass)

      Sets the given value of `errorboxIconSclass` to update to client widget
      Parameters:
        `errorboxIconSclass` - The new value for `errorboxIconSclass`
      See Also:
        `IInputElement.withErrorboxIconSclass(java.lang.String)`

    - #### disabled

          public ITimepicker.Updater disabled​(boolean disabled)

      Sets the given value of `disabled` to update to client widget
      Parameters:
        `disabled` - The new value for `disabled`
      See Also:
        `IInputElement.withDisabled(boolean)`

    - #### inplace

          public ITimepicker.Updater inplace​(boolean inplace)

      Sets the given value of `inplace` to update to client widget
      Parameters:
        `inplace` - The new value for `inplace`
      See Also:
        `IInputElement.withInplace(boolean)`

    - #### maxlength

          public ITimepicker.Updater maxlength​(int maxlength)

      Sets the given value of `maxlength` to update to client widget
      Parameters:
        `maxlength` - The new value for `maxlength`
      See Also:
        `IInputElement.withMaxlength(int)`

    - #### instant

          public ITimepicker.Updater instant​(boolean instant)

      Sets the given value of `instant` to update to client widget
      Parameters:
        `instant` - The new value for `instant`
      See Also:
        `IInputElement.withInstant(boolean)`

    - #### errorMessage

          public ITimepicker.Updater errorMessage​(java.lang.String errorMessage)

      Sets the given value of `errorMessage` to update to client widget
      Parameters:
        `errorMessage` - The new value for `errorMessage`
      See Also:
        `IInputElement.withErrorMessage(java.lang.String)`

    - #### format

          public ITimepicker.Updater format​(java.lang.String format)

      Sets the given value of `format` to update to client widget
      Parameters:
        `format` - The new value for `format`
      See Also:
        `IFormatInputElement.withFormat(java.lang.String)`

    - #### locale

          public ITimepicker.Updater locale​(java.util.Locale locale)

      Sets the given value of `locale` to update to client widget
      Parameters:
        `locale` - The new value for `locale`
      See Also:
        `IDateTimeFormatInputElement.withLocale(java.util.Locale)`

    - #### timeZone

          public ITimepicker.Updater timeZone​(java.util.TimeZone timeZone)

      Sets the given value of `timeZone` to update to client widget
      Parameters:
        `timeZone` - The new value for `timeZone`
      See Also:
        `IDateTimeFormatInputElement.withTimeZone(java.util.TimeZone)`

    - #### valueInZonedDateTime

          public ITimepicker.Updater valueInZonedDateTime​(java.time.ZonedDateTime valueInZonedDateTime)

      Sets the given value of `valueInZonedDateTime` to update to client widget
      Parameters:
        `valueInZonedDateTime` - The new value for `valueInZonedDateTime`
      See Also:
        `IDateTimeFormatInputElement.withValueInZonedDateTime(java.time.ZonedDateTime)`

    - #### valueInLocalDateTime

          public ITimepicker.Updater valueInLocalDateTime​(java.time.LocalDateTime valueInLocalDateTime)

      Sets the given value of `valueInLocalDateTime` to update to client widget
      Parameters:
        `valueInLocalDateTime` - The new value for `valueInLocalDateTime`
      See Also:
        `IDateTimeFormatInputElement.withValueInLocalDateTime(java.time.LocalDateTime)`

    - #### valueInLocalDate

          public ITimepicker.Updater valueInLocalDate​(java.time.LocalDate valueInLocalDate)

      Sets the given value of `valueInLocalDate` to update to client widget
      Parameters:
        `valueInLocalDate` - The new value for `valueInLocalDate`
      See Also:
        `IDateTimeFormatInputElement.withValueInLocalDate(java.time.LocalDate)`

    - #### valueInLocalTime

          public ITimepicker.Updater valueInLocalTime​(java.time.LocalTime valueInLocalTime)

      Sets the given value of `valueInLocalTime` to update to client widget
      Parameters:
        `valueInLocalTime` - The new value for `valueInLocalTime`
      See Also:
        `IDateTimeFormatInputElement.withValueInLocalTime(java.time.LocalTime)`

    - #### widgetClass

          public ITimepicker.Updater widgetClass​(java.lang.String widgetClass)

      Sets the given value of `widgetClass` to update to client widget
      Parameters:
        `widgetClass` - The new value for `widgetClass`
      See Also:
        `IComponent.withWidgetClass(java.lang.String)`

    - #### min

          public ITimepicker.Updater min​(java.util.Date min)

      Sets the given value of `min` to update to client widget
      Parameters:
        `min` - The new value for `min`
      See Also:
        `ITimepicker.withMin(java.util.Date)`

    - #### max

          public ITimepicker.Updater max​(java.util.Date max)

      Sets the given value of `max` to update to client widget
      Parameters:
        `max` - The new value for `max`
      See Also:
        `ITimepicker.withMax(java.util.Date)`

    - #### cols

          public ITimepicker.Updater cols​(int cols)

      Sets the given value of `cols` to update to client widget
      Parameters:
        `cols` - The new value for `cols`
      See Also:
        `IInputElement.withCols(int)`

    - #### interval

          public ITimepicker.Updater interval​(int interval)

      Sets the given value of `interval` to update to client widget
      Parameters:
        `interval` - The new value for `interval`
      See Also:
        `ITimepicker.withInterval(int)`

    - #### readonlyUnset

          public ITimepicker.Updater readonlyUnset​(boolean readonlyUnset)

      Sets the given value of `readonlyUnset` to update to client widget
      Parameters:
        `readonlyUnset` - The new value for `readonlyUnset`
      See Also:
        `ITimepicker.withReadonlyUnset(boolean)`

    - #### marshal

          public java.util.Map<java.lang.String,​java.lang.Object> marshal()

      Description copied from interface: `SmartUpdater`
      Serializes the keys and values of the updater.
      Specified by:
        `marshal` in interface `SmartUpdater`
      Returns:
        A keys and values mapping for `UiAgent.smartUpdate(org.zkoss.stateless.ui.Locator, org.zkoss.stateless.ui.SmartUpdater)`